using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Mpeg2.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x06,"PMT")]
    [BannedTable("TSDT")]
    class DataStreamAlignmentDescriptor : TsDescriptor
    {
        public DataStreamAlignmentDescriptor(byte[] buffer)
        {
            AlignmentType = buffer[0];
        }

        public byte AlignmentType { get; private set; }
    }
}
